Bug 37804 - Show hint at first UMC login to login as user "Administrator"
Show hint at first UMC login to login as user "Administrator"
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC (Generic)
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0-1-errata
Assigned To: Florian Best
Alexander Kläser
:
Depends on:
Blocks: 38325 38148 38170
  Show dependency treegraph
 
Reported: 2015-02-16 11:24 CET by Alexander Kläser
Modified: 2015-04-23 09:33 CEST (History)
3 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): External feedback, Usability
Max CVSS v3 score:


Attachments
Screenshot IE9 (17.53 KB, image/png)
2015-03-24 17:35 CET, Alexander Kläser
Details
Screenshot IE11 (44.59 KB, image/png)
2015-03-24 17:36 CET, Alexander Kläser
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander Kläser univentionstaff 2015-02-16 11:24:14 CET
At the following review, the tester initially did not know with which user he should login to UMC:

http://linuxdenken.de/test-univention-4-0-1/

Certainly helpful would be a hint to login as user "Administrator" when visitting the UMC login for the first time.
Comment 1 Florian Best univentionstaff 2015-02-16 11:33:56 CET
We could also change the field "Password" to "Password for user 'Administrator'" and at the success page we could make the "Administrator" hint bold <b>.

How can we know "the first login"?
Comment 2 Alexander Kläser univentionstaff 2015-02-16 14:08:27 CET
(In reply to Florian Best from comment #1)
> We could also change the field "Password" to "Password for user
> 'Administrator'" and at the success page we could make the "Administrator"
> hint bold <b>.

In the wizard, there are two places at which this is explained. It seems that the text still is too long. I am afraid that this will not really help, we rather need the information at the place where one may bump into the problem.

> How can we know "the first login"?

Via cookies, for instance. Then we could simply display a message below the login dialogue.

Another possibility could be to display a '?'-icon, e.g., in the right side of the username field. When pressing on it, a help text is displayed.
Comment 3 Florian Best univentionstaff 2015-02-16 14:12:46 CET
I would prefer the [?] icon.
Comment 4 Alexander Kläser univentionstaff 2015-02-16 14:14:46 CET
We could also shorten the text on the last setup wizard page:

"To administrate the domain as well as the local system, login to Univention Management Console as user <i>Administrator</i>:"
→ "Login as <b>Administrator</b> to Univention Management Console:"

"It is mandatory to click on <i>Finish</i> for putting UCS into operation and completing the setup process"
→ "Click on <i>Finish</i> for putting UCS into operation."
Comment 5 Alexander Kläser univentionstaff 2015-02-16 14:15:33 CET
We could also display a "(more information)" Link at the password field in the setup wizard.
Comment 6 Florian Best univentionstaff 2015-03-19 11:08:08 CET
(In reply to Florian Best from comment #3)
> I would prefer the [?] icon.
The icon has been added to the login dialogue.

(In reply to Alexander Kläser from comment #4)
> We could also shorten the text on the last setup wizard page:
> 
> "To administrate the domain as well as the local system, login to Univention
> Management Console as user <i>Administrator</i>:"
> → "Login as <b>Administrator</b> to Univention Management Console:"
> 
> "It is mandatory to click on <i>Finish</i> for putting UCS into operation
> and completing the setup process"
> → "Click on <i>Finish</i> for putting UCS into operation."

These phrases has been shortened. Another text is also displayed on the master-credentials page.

Fix: svn r59221, r59222, r59223
YAML: 2015-03-09-univention-system-setup.yaml
YAML: 2015-03-12-univention-management-console-frontend.yaml
YAML: 2015-03-19-univention-management-console-frontend-theme.yaml
(no strong cross dependencies)
Comment 7 Alexander Kläser univentionstaff 2015-03-24 10:08:15 CET
I do not see the ?-icon on my system. As discussed it would be good to use position=absolute, right=0, bottom=Xpx for both the ?-icon as well as the >-icon. The label tag the needs position=relative such that the absolute positioning is with respect to the parent label element.

→ REOPEN
Comment 8 Alexander Kläser univentionstaff 2015-03-24 10:30:46 CET
> These phrases has been shortened. Another text is also displayed on the
> master-credentials page.
> 
> Fix: svn r59221, r59222, r59223
> YAML: 2015-03-09-univention-system-setup.yaml
> YAML: 2015-03-12-univention-management-console-frontend.yaml
> YAML: 2015-03-19-univention-management-console-frontend-theme.yaml
> (no strong cross dependencies)

The textual changes are nice. The following message is now displayed at the end of the setup wizard:

> UCS has been successfully set up.
> 
> The system has been configured with the IP address(es) 10.0.2.15, 192.168.56.101.
> 
> Login to Univention Management Console as user Administrator:
> 
> * https://ucs-4761.mydomain.intranet/univention-management-console/
> * https://10.0.2.15/univention-management-console/
> * https://192.168.56.101/univention-management-console/
>
> Click on Finish for putting UCS into operation.

Minor suggestion:

> UCS has been successfully set up. The system has been configured with the IP address(es) 10.0.2.15, 192.168.56.101.
> 
> Login to Univention Management Console as user Administrator at one of the available addresses:
> ...
Comment 9 Alexander Kläser univentionstaff 2015-03-24 11:08:30 CET
I also noticed when entering the user name and hitting <tab> that the focus goes to the ?-icon. It would be better to focus the password field directly instead.
Comment 10 Florian Best univentionstaff 2015-03-24 13:22:13 CET
Text changes in system-setup: svn r59346.
CSS changes: svn r59347.
Tabindex fix: svn r59348.

Packages are currently building.
Comment 11 Alexander Kläser univentionstaff 2015-03-24 13:41:32 CET
(In reply to Florian Best from comment #10)
> Text changes in system-setup: svn r59346.
> CSS changes: svn r59347.
> Tabindex fix: svn r59348.
> 
> Packages are currently building.

Please add additional CSS rules for hover and click events.
Comment 12 Florian Best univentionstaff 2015-03-24 14:15:24 CET
(In reply to Alexander Kläser from comment #11)
> Please add additional CSS rules for hover and click events.
Fixed in svn r59349.
Comment 13 Alexander Kläser univentionstaff 2015-03-24 14:24:28 CET
"... mit einem gültigen Benutzername ..."
→ should be "Benutzernamen"
Comment 14 Florian Best univentionstaff 2015-03-24 16:55:29 CET
(In reply to Alexander Kläser from comment #13)
> "... mit einem gültigen Benutzername ..."
> → should be "Benutzernamen"
svn r59358, package builds.
Comment 15 Alexander Kläser univentionstaff 2015-03-24 17:35:36 CET
Looks good altogether. I only spotted minor problems on IE, see screenshots below. We could also fix that at a later point.
Comment 16 Alexander Kläser univentionstaff 2015-03-24 17:35:53 CET
Created attachment 6781 [details]
Screenshot IE9
Comment 17 Alexander Kläser univentionstaff 2015-03-24 17:36:06 CET
Created attachment 6782 [details]
Screenshot IE11
Comment 18 Florian Best univentionstaff 2015-03-25 09:36:21 CET
(In reply to Alexander Kläser from comment #15)
> Looks good altogether. I only spotted minor problems on IE, see screenshots
> below. We could also fix that at a later point.Bug #38127
Comment 19 Stefan Gohmann univentionstaff 2015-03-25 10:06:24 CET
OK
Comment 20 Janek Walkenhorst univentionstaff 2015-03-25 16:37:01 CET
<http://errata.univention.de/ucs/4.0/119.html>
Comment 21 Janek Walkenhorst univentionstaff 2015-03-25 16:40:26 CET
<http://errata.univention.de/ucs/4.0/139.html>
Comment 22 Janek Walkenhorst univentionstaff 2015-03-25 16:44:07 CET
<http://errata.univention.de/ucs/4.0/116.html>